﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Icedream.InstantFileTransfer
{
    internal static class Extensions
    {
        internal static IFTPReply ReadReply(this StreamReader ns)
        {
            return IFTPReply.ParseLine(ns.ReadLine());
        }

        internal static IFTPAckReply ReadAckReply(this StreamReader ns)
        {
            return IFTPAckReply.ParseLine(ns.ReadLine());
        }

        internal static IFTPFileHeader ReadHeader(this StreamReader ns)
        {
            return IFTPFileHeader.ParseLine(ns.ReadLine());
        }
    }
}
